<?php

namespace Soft_Tehnica\Freya_Sync_Service\Services;

interface STDataStore
{

    public function is_available(): bool;

    /**
     * @template T
     *
     * @return T|null
     */
    public function get( string $key ): mixed;

    /**
     * @template T
     *
     * @param T $value
     */
    public function put( string $key, mixed $value ): void;

    public function forget( string $key ): void;
}
